#!/usr/local/bin/ruby -Ku
  # 調整済み残差の取得(暗黙のテンポラリファイル利用) (coding: utf-8)
require "rrx"
rpro = <<EOS
dtf <- read.csv("data01.csv", header=T, row.names=1)
xx <- chisq.test(dtf)
xx
write.csv(xx$stdres, file="@@stdres@@")
EOS
hs = Rrx.rexec(rpro)
if !hs[:sink] or !hs["stdres"]
  exit
end
regex = /^\w\S* = (.+?), df = (.+?), p-value [<>=]+ (.+)$/
chi,df,pval = regex =~ hs[:sink] ? [$1.to_f, $2.to_i, $3.to_f] : [nil]*3
File.open("chitest.csv", "w") do |ff|
  ff.printf("\"χ2 %g\",\"df %d\",\"p-value %g\"\n", chi, df, pval)
  if pval < 0.05
    ff.puts "\"調整済み残差\""
    ff.print hs["stdres"]
  end
end
puts "'chitest.csv' を作成しました."
