#!/usr/local/bin/ruby -Ku
  # robj() の利用例  (coding: utf-8)
require "rrx"
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", @@$ropt@@)
xx <- chisq.test(dtf)
robj(xx)
EOS
    # 各々の表についてRプログラムを実行
count = 0
Rrx.cut_table("data02.csv", 3) do |tbl, title, ropt|
  count += 1
  Rrx.temp_make(tbl)  # 抽出した表を一時ファイルに書き出す
  $ropt = ropt
  hs = Rrx.rexec(rpro)
  next  unless hs["robj1"]
  printf("検定#%d(%s)\n", count, title)
  xx = hs["robj1"]
  xx.each do |key, val|
    printf("%s\t", key)
    p val
  end
  printf("\n")
end
