#!/usr/local/bin/ruby -Ku
  # 相関係数の算出  (coding: utf-8)
require "rrx"
include Rrx
    # Rプログラムの定義
rpro = <<EOS
dtf <- read.csv("@@last@@", header=T)
xx <- cor.test(dtf$身長, dtf$体重)
robj(xx)
EOS
    # 行列の切り取りとRプログラムの実行
cut_data("data03.csv") do |data|
  temp_make(data)  # 一時ファイルへの行列の書き出し
  hs = rexec(rpro)
  xx = hs["robj1"]
  next  unless xx
  xx.each do |key, val|
    printf("%s\t", key)
    p val
  end
end
